安全连接失败而 Firefox 显示错误

本文解释你为什么会看到安全连接失败不要访问:有安全问题的错误页面以及怎么办。

无法建立安全连接

当你的电脑和网站试图建立安全(https)交流时,Firefox会交叉检查这种尝试以确保网站证书和网站使用的方法确实是安全的。如果Firefox无法建立安全连接,它会显示错误页面:安全连接失败 或者 没有连接:有潜在安全问题

安全连接失败

安全连接失败 错误页包含错误描述以及是否向Mozilla发送错误报告和点击重试按钮的选项,没有添加安全例外并忽略该错误的选项。

fx60SecureConnectionFailed-ErrorCode

该错误页面还包括以下信息:

  • 你所查看的页面由于无法验证其发送的数据而不能显示。
  • 请联系并通知网站所有者。

没有连接:有潜在安全问题

某些安全连接失败会导致 没有连接:有潜在安全问题 错误页。

Fx67SecError-DidNotConnect

该错误页包含潜在安全危险的描述以及是否向Mozilla发送错误报告和点击 高级… 按钮的选项来查看错误代码和其他技术细节,没有添加安全例外并继续访问网站的选项。

网站问题

不被支持的 TLS 版本

有些网站试图使用过时的(不再安全的) 输入层安全TLS)机制来尝试安全连接。如果安全连接的建立有问题,Firefox会通过阻止对该类网站的访问来保护你。此时,你会看到一个带有安全连接错误信息的错误页面。 如果你遇到此问题,请联系网站拥有者并要求他们把 TLS 升级到一个当下仍然安全的版本。

Firefox 版本 78 起,默认允许的最低 TLS 版本是 TLS 1.2。不支持 TLS 1.2 或更高版的网站将会显示错误页面 安全连接失败 和错误码:SSL_ERROR_UNSUPPORTED_VERSION,以及一条信息:此网站不支持 Firefox 要求的最低版 TLS 1.2 协议。

Fx78SecureConnectionFailed-TLS

该错误页面也许会有一个按钮,启用 TLS 1.0 和 1.1 就会让你略过 TLS 最低版本的要求。
注意:Mozilla 计划移除此选项并在 Firefox 将来的版本上永久禁用 TLS 1.0 和 1.1。更多信息,请参看 此 Mozilla 页面

要求使用 HSTS

其他网站可能会要求使用 HTTP Strict Transport Security (HSTS) 并且不允许非安全的连接。

安全软件冲突

许多安全产品使用默认干扰安全连接的的功能。这会在安全网站产生安全连接错误页面。如果你在多个安全网站看到错误页面,那么请升级安全产品或修改安全设置可能会消除此问题。更多信息,请参看此文关于反病毒软件的章节来获得关于 AvastAVGESET 等安全软件的具体安全错误页面的信息。

}此外,你还可以卸载第三方安全软件并使用Windows Defender,作为Windows 8和Windows 10的内置反病毒软件。

系统时间不准

Firefox 在访问安全站点时使用证书来保证您的信息只会被发送到目标接收者而不会被旁人窃听。系统时间和日期错误也会导致 Firefox 检测到网站的安全证书过期或无效。确保你电脑的日期、时间和时区都设置得正确。更多信息,请参考如何针对安全网站的时间相关错误进行故障排除

其他安全连接问题

以下文章描述了如何对一些具体的安全连接错误进行故障排除:

关于其他安全连接错误的列表和简述,请到 MDN Web Docs 参看文章 NSS 和 SSL 错误代码

这篇文章对您有帮助吗?

请稍候...

此文章在这些用户的协助下写成:

Illustration of hands

志愿者

分享知识并培养专业技能。解答问题并改进我们的知识库。

详细了解